commit 14496ce1e5bbc9b2192ca8f882ecb99887c5d40a
Author: Joshua Colp <jcolp@digium.com>
Date:   Wed Oct 26 12:51:50 2016 +0000

    app_voicemail: Clear voice mailbox in MailboxExists and MAILBOX_EXISTS.
    
    When executing the MailboxExists dialplan application and
    MAILBOX_EXISTS dialplan function the passed in temporary voice
    mailbox was not cleared, causing it to try to free garbage.
    
    ASTERISK-26503 #close
    
    Change-Id: Ie21ccfa1b80b9c59318e596f6b8e17da2b5a7cb3

diff --git a/apps/app_voicemail.c b/apps/app_voicemail.c
index 5eb767c..bee684e 100644
--- a/apps/app_voicemail.c
+++ b/apps/app_voicemail.c
@@ -12450,6 +12450,7 @@ static int vm_box_exists(struct ast_channel *chan, const char *data)
 		context++;
 	}
 
+	memset(&svm, 0, sizeof(svm));
 	vmu = find_user(&svm, context, args.mbox);
 	if (vmu) {
 		pbx_builtin_setvar_helper(chan, "VMBOXEXISTSSTATUS", "SUCCESS");
@@ -12481,6 +12482,7 @@ static int acf_mailbox_exists(struct ast_channel *chan, const char *cmd, char *a
 		ast_log(AST_LOG_WARNING, "MAILBOX_EXISTS is deprecated.  Please use ${VM_INFO(%s,exists)} instead.\n", args);
 	}
 
+	memset(&svm, 0, sizeof(svm));
 	vmu = find_user(&svm, ast_strlen_zero(arg.context) ? "default" : arg.context, arg.mbox);
 	ast_copy_string(buf, vmu ? "1" : "0", len);
 	free_user(vmu);
